/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}/status2609170000How to check validity of a category
簡介
How to check validity of a category
詳細內容
Available buyer market: Korean
The following shows how to check if a display category is still valid for use or not.
An existing category might be made unavailable for use as a result of a category renewal or other changes.
Please be noted that the category renewal is conducted twice a year and the category changes resulting from the renewal are notified to the sellers.
As such, you don't need to do this validity check quite often.
路徑
範例端點
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}/statusPath 參數
| Name | Type | Description |
|---|---|---|
| displayCategoryCode* | string | display category code
|
回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| code | string | SUCCESS/ERROR
|
| message | string | message
|
| data | boolean | Whether it is available for use or not true or false |
Response Example
{
"code": "SUCCESS",
"message": "",
"data": true
}錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (check parameter requested) | Display category code should be numeric. | See if you have entered a valid display category code. Display category code consists of numbers only. |
| 400 | 400 (check parameter requested) | Display category code 72631 is not a leaf category. Leaf category id's of the given display category code include: 58896,58889,58890,58891,58892,58893, and 58894. | See if you have entered a valid category code. Only a leaf category (or the lowest level category) ID can be entered as the display category code. |